.html,body{
    background-color:#383838;
    color: #FFFFFF;
}

.leftright {
    display: flex;
    justify-content: flex-start;
    align-items: center;
}

.category-selector{
    transition: .5s;
}
.category-selector:hover{
    transform:scale(1.1);
}

/* Form Control */
.form-control {
    box-sizing: border-box;
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	border: 0.32vw solid #a057b3;
    background-color: #383838;
    border-radius: 10px;
	padding: 0.7vw;
	margin: 0 0 1vw 0;
    color: #FFFFFF;
    font-size: 2vw;
    font-family: "Mulish", sans-serif;
}

.form-control::placeholder {
    color: rgb(255, 255, 255);
    opacity: 0.5;
}

.form-control:focus {
    -moz-box-shadow: 0 0 8px #a454e6;
	-webkit-box-shadow: 0 0 8px #a454e6;
	box-shadow: 0 0 8px #a454e6;
	border: 0.4vw solid #9844dd;
    background-color: #383838;
    color: #FFFFFF;
}

.form-control:focus::placeholder {
	color: rgb(255, 255, 255);
    opacity: 0.65;
}

.tipe1 {color: rgb(255, 145, 0); text-decoration: none;}
.tipe1:hover {color: rgb(197, 121, 21);}
.tipe2 {color: greenyellow; text-decoration: none;}
.tipe2:hover {color: rgb(94, 138, 28);}
.tipe3 {color: rgb(45, 200, 193); text-decoration: none;}
.tipe3:hover {color: rgb(17, 125, 144);}

.all-top {border-top: #8c198c solid 7px;}
.general-top {border-top: rgb(255, 145, 0) solid 7px;}
.covid-top {border-top: greenyellow solid 7px;}
.drug-top {border-top: rgb(45, 200, 193) solid 7px;}

/* Selector */
.selector {
    width: 97%;
    padding-top: 2px;
    padding-bottom: 5px;
}

.selector-content {
    text-decoration:none;   
    width: 100%;
    padding: 0 0 0 10px;
}

.selector-p {
    padding: 0 0 0 7px;
    color: rgb(255, 255, 255);
}

.selector-content:hover .selector-p {
    font-weight: bold;
    text-decoration:underline; 
}

.selected {
    text-decoration:none;   
    width: 100%;
    padding: 0 0 0 10px;
    border-radius: 10px;
    font-weight: bold;
}

.topdown {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    flex-direction: column;
}
.title {
    text-align: center;
    font-size: 5em;
    font-weight: bold;    
    margin-block-start: 0.2em;
    margin-block-end: 0.2em;
    padding: 0 2vw;
    font-family: "Mulish", sans-serif;
}

.subtitle {
    font-size: 2em;
    font-weight: bold;  
    font-family: "Mulish", sans-serif;
    margin-block-start: 0.4em;
    margin-block-end: 0.4em;
    text-align: center;
    padding: 0 2vw;
}

.forum-status{
    font-family: "Mulish", sans-serif;
    margin-bottom: 10px;
}

#inputSearch {
    margin: 10px 0 25px 0;
    width: 80%;
}

#search {
    display: flex;
    justify-content: center;
    margin-bottom: 10px;  
}

#select {
    width: 15%;
    margin-right: 15px;
}
select.arrow {
    background-image:
      linear-gradient(45deg, transparent 50%, #a057b3 50%),
      linear-gradient(135deg, #a057b3 50%, transparent 50%);
    background-position:
      calc(100% - 20px) calc(1em + 2px),
      calc(100% - 15px) calc(1em + 2px),
      calc(100% - 2.5em) 0.5em;
    background-size:
      5px 5px,
      5px 5px,
      1px 1.5em;
    background-repeat: no-repeat;
}
  
select.arrow:focus {
    background-image:
      linear-gradient(45deg, #9844dd 50%, transparent 50%),
      linear-gradient(135deg, transparent 50%, #9844dd 50%);
    background-position:
      calc(100% - 15px) 1em,
      calc(100% - 20px) 1em,
      calc(100% - 2.5em) 0.5em;
    background-size:
      5px 5px,
      5px 5px,
      1px 1.5em;
    background-repeat: no-repeat;
    outline: 0;
}

#kanan {
    border-radius: 5px;
    margin-left: -2.5px;
    width: 80%;
}

/* button */
.button1, input[type=submit] {
    display: inline-block;
    padding:0.35em 1.2em;
    border: 0.13em solid #FFFFFF;
    margin: 0.5em 0.5em 1em 0;
    border-radius: 0.5em;
    box-sizing: border-box;
    text-decoration:none;
    font-weight: bold;
    font-family: "Mulish", sans-serif;
    color:#FFFFFF;
    text-align: center;
    transition: all 0.2s;
    font-size: 2vw;
    background-color: #6b46c1;
}
/* button */
.button2, input[type=cancel] {
    display: inline-block;
    padding:0.35em 1.2em;
    border: 0.13em solid #FFFFFF;
    margin: 0.5em 0.5em 1em 0;
    border-radius: 0.5em;
    box-sizing: border-box;
    text-decoration:none;
    font-weight: bold;
    font-family: "Mulish", sans-serif;
    color:#FFFFFF;
    text-align: center;
    transition: all 0.2s;
    font-size: 2vw;
    background-color: #595d74;
}
/* button */
.button3, input[type=cancel] {
    display: inline-block;
    padding:0.35em 1.2em;
    border: 0.13em solid #FFFFFF;
    margin: 0.5em 0.5em 1em 0;
    border-radius: 0.5em;
    box-sizing: border-box;
    text-decoration:none;
    font-weight: bold;
    font-family: "Mulish", sans-serif;
    color:#FFFFFF;
    text-align: center;
    transition: all 0.2s;
    font-size: 2vw;
    background-color: #5f6dc0;
}
#bodyButton {
    font-size: 22px;
    padding: 0.4em 1.2em;
    margin: 0.5em 0.5em 0.5em 0.5em;
}

.form .bodyButton {
    font-size: 1.5vw;
    padding: 0.4em 1.2em;
    margin: 0.5em 0.5em 0.5em 0.5em;
}

.form .bodyButton:hover {
    border: 0.13em solid #b782cf;
}

.button1:hover, input[type=submit]:hover {
    background-color: #805990;
    border: 0.13em solid #b782cf;
    color: #000000;
}
.button2:hover, input[type=cancel]:hover {
    background-color: #b36464;
    border: 0.13em solid #ca3d67;
    color: #000000;
}
.button3:hover, input[type=cancel]:hover {
    background-color: #FFFFFF;
    border: 0.13em solid #9082cf;
    color: #000000;
}
@media all and (max-width:30em){
    .button1, input[type=submit] {
        display: block;
        margin: 0.4em auto;
    }
}

/* Post */
.post {
    margin: 20px 0px 0px 10px;
    border-radius: 20px;
    width: 60%;
    transition: .3s transform cubic-bezier(.155,1.105,.295,1.12),.3s box-shadow,.3s -webkit-transform cubic-bezier(.155,1.105,.295,1.12);
    cursor: pointer;
}

.post:hover {
    background: #292929;
    transform: scale(1.05);
}

.inside-post {
    padding: 20px 10px 10px;
    /* Dropy Zhadow */
    box-shadow: 8px 8px 20px #E9D8FD;
    border-radius: 20px;
}

.profile-container {
    min-width: 10%;
    display: block;
}

.profile {
    height: 4vw;
    width: 4vw;
    background-color: #bbb;
    border-radius: 20%;
    margin: 10px 15px 10px 10px;
    margin-left: auto;
    margin-right: auto;
    border: black solid 0.1vw;
    -webkit-text-stroke-width: 0.05vw;
    -webkit-text-stroke-color: black;
    user-select: none;
}

#profileInProfil {
    height: 10vw;
    width: 10vw;
}

.inisial {
    font-size: 2.5vw; 
    color: rgb(0, 0, 0); 
    height: inherit;
}

.judulPost {
    font-size: 28px;
    font-weight: bold;
}

.subJudulPost {
    font-size: 15px;
    font-weight: bold;
    padding-bottom: 0.8vw;
}

.post p {
    margin-block-start: 0em;
    margin-block-end: 0em;
    margin-inline-start: 0px;
    margin-inline-end: 0px;
    padding: 0 10px 0 10px;
}

.snippet {
    width: 90%;
}

.judulPostInside {
    font-size: 42px;
    padding: 0.5vw 0 0.8vw 0;
}

.subJudulPostInside {
    font-size: 28px;
    padding-bottom: 2vw;
}

.bodyPostInside {
    width: 100%;
    font-size: 20px;
}

.isiPostInside {
    width: 70%;
    padding: 0 2vw 0 0;
    text-align: center;
    margin-right: -0.14vw;
}

.edit {
    color: #2d77d1;
    text-decoration:none;
    font-size: larger;
}

.edit:hover {
    color: #98b5d8;
}

.back {
    color: #ffffff;
    text-decoration:none;
    font-size: larger;
}
.back:hover {
    color: #9F7AEA;
}
.fontall{
    font-family: "Mulish", sans-serif;
}

.preview-edit-komen {
    width: 80%; 
    margin: auto;
    padding: 2vw 0;
}

.alignitem {
    align-items: flex-start;
}

.center {
    justify-content: center;
}
.comment {
    width: 100%;
    border: #9751b8 solid 0.2vw;
    border-radius: 0.5vw;
    margin: 2vw 0 1vw 0;
}
.one-container {
    margin: 0 0 1.5vw 0;
    width: 100%;
    display: flex;
    justify-content: flex-start;
    align-items: flex-end;
    flex-direction: column;
}

.link-normal, .link-normal:hover, .link-normal:active {
    color: rgb(255, 255, 255);
    text-decoration: none;
}

/* comment reply */
.komen-container {
    width: 95%;
}

.one-komen-container {
    margin: 0 0 1.5vw 0;
    width: 100%;
    display: flex;
    justify-content: flex-start;
    align-items: flex-end;
    flex-direction: column;
}

.komen {
    width: 100%;
    border: #9751b8 solid 0.2vw;
    border-radius: 0.5vw;
    margin: 2vw 0vw 1vw 0vw;
}

.reply-container {
    width: 90%;
}

.reply {
    border: #9751b8 solid 0.2vw;
    border-radius: 0.5vw;
    margin: 0.5vw 0 1vw 0;
}

.judulKomen {
    font-size: 23px;
    font-weight: bold;
}

.subJudulKomen {
    font-size: 15px;
    padding: 0 0 0 1vw;
}

.headerKomen {
    padding-bottom: 7px;
}

.profile-container-komen {
    min-width: 80px;
    display: block;
}

.profile-komen {
    height: 55px;
    width: 55px;
    background-color: #bbb;
    border-radius: 20%;
    margin: 10px 15px 10px 10px;
    margin-left: auto;
    margin-right: auto;
    border: black solid 0.1vw;
    -webkit-text-stroke-width: 0.05vw;
    -webkit-text-stroke-color: black;
    user-select: none;
}
.inisial-komen {
    font-size: 35px; 
    color: black; 
    height: inherit;
}
.insidepostkomen {
    width: 100%;
    padding: 10px 0 10px 0;
}

.snippet-komen {
    width: 95%;
    padding-right: 12px;
}

.komen p, .reply p{
    margin-block-start: 0.5em;
    margin-block-end: 1em;
}

.isiKomen {
    margin: -10px 0 10px 0;
}
.profile-container-komen {
    min-width: 80px;
    display: block;
}

.header-komen {
    padding-bottom: 7px;
}
.replybutton {
    color: #7ca6d8;
    text-decoration: none;
    width: 100%;
    text-align: right;
}

.replybutton:hover {
    color: #2d71c3;
}


#profil .form form, #readPost .form form {
    display: flex;
    justify-content: center;
    align-items: center;
}

#profil .form form p {
    padding-right: 10px;
}

#readPost .form form p {
    padding-right: 10px;
    width: 77%;
}

#readPost .form, #editComment .form {
    padding: 0;
    width: 100%;
}

#commentButton {
    font-size: 18px;
    border: 0.13em solid #FFFFFF;
    padding: 0.4em 0.8em;
    margin: 0.5em 0 0.5em 0.5em;
}

#commentButton:hover {
    border: 0.13em solid #5390d9;
}

#editComment .form form {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

#editComment .form form textarea {
    width: 50vw;
    height: 15vw;
}
div.b {
    overflow-wrap: break-word;
    word-wrap: break-word;
    word-break: break-all;
    word-break: break-word;
    hyphens: auto;
}

div.c {
    text-align: right;
} 
.insidereadpost {
    border-bottom: black solid 1px;
    border-top: black solid 1px;
    width: 99%;
    padding: 20px 10px 10px 10px;
    border-radius: 20px;
}

#searchDivs {
    width: 99%;
}

.replycomment{
    display: flex;
    justify-content: flex-start;
}

